Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jan 2021 00:51:25 +0100

jao <[email-masked]> writes:

> Excelent, thanks a lot.  I am not sure whether thing-at-point already
> has that, but it'd then be useful to be able to retrieve, together with
> the thing-at-point, its category (and even also have a thing/s/-at-point
> returning all detected things).  

I'm not sure I follow you here -- you call thing at point with the
category (or "thing", as thingatpt calls it) as the parameter:

(thing-at-point 'url)

thingatpt doesn't try to guess at what type of thing exists under point,
just what the thing is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no